Namespace.register("U.PU"); //广告命名空间


window.onerror = function () { }

//后台创建当前JS调用对象
oloaded = function () { U.PU.WE = window.external; }



////加载内容
//init = U.PU.onload = function (tf) {
//    U.A.Request("pb.Publicpage", (["f6c6eac4-66f5-45e7-aed7-f3730d8d51f3", 0, 12, 3, US.NU]), U.PU.LoadReq, ([$("#p_body")[0], tf])); //技师学院
//    U.A.Request("UseStudioDisk.GetUserFNew", ([US.NU, US.NU, 0, 10, US.NU, US.NU]), U.PU.Disk, ([$("#p_body")[0], tf])); //兴趣交流
//}

////pb回调区域
//U.PU.LoadReq = function (req) {
//    var i, _UDMD, _UDTD, _UDOD = $("#p_bodyrsx")[0], _UDFD = document.createDocumentFragment(); req = req.value; req = req[0]; _UDOD.innerHTML = "";
//    for (i = 0; (i < req.length); i++) {
//        _UDMD = $$("div", { "className": "p_bodyrsxcz" }, _UDFD);
//        _UDTD = $$("div", { "tilte": req[i].ArticleTitle, "className": "p_bodyrsxc", "innerHTML": req[i].ArticleTitle, "onclick": [U.PU.NewsC, (["pbt", req[i].ArticleID])] }, _UDMD); _UDTD.innerText = _UDTD.innerText;
//        if (i < 2) { $$("div", { "className": "p_bodyrsxci" }, _UDMD); _UDTD.style.width = "170px"; }
//    }
//    _UDOD.appendChild(_UDFD);
//}

//Disk回调区域
U.PU.Disk = function (req) {
    var i, _UDTD, _UDSD, _UDOD = $("#p_bodylc")[0], _UDFD = document.createDocumentFragment(), context = req.context; req = req.value; _UDOD.innerHTML = "";
    for (i = 0; i < req.length; i++) {
        _UDTD = $$("div", { "title": "点击查看", "className": "p_bodylcn", "onclick": [U.PU.NewsC, (["disk", req[i]])] }, _UDFD);
        _UDSD = $$("div", { "className": "p_bodylcnl" }, _UDTD);
        $$("img", { "onerror": U.M.ImgError, "src": U.M.GetImgU(req[i].UserThumbnailImageHead) }, _UDSD);
        $$("div", { "className": "p_bodylcnn UTDF", "innerHTML": req[i].UserName }, _UDTD);
        $$("div", { "className": "p_bodylcns UTDF", "innerHTML": req[i].UserFilesName }, _UDTD);
        $$("div", { "className": "p_bodylcnr UTDF", "innerHTML": U.UP.FileSize(req[i].UserFilesSize) }, _UDTD);
        $$("div", { "className": "p_bodylcnf UTDF", "innerHTML": U.MT.getTDInterval(req[i].UserFilesAddTime) }, _UDTD);


    }
    _UDOD.appendChild(_UDFD); (context[1] != null) && (U.PU.WE.showf(context[1]));
}

//弹出
U.PU.NewsC = function (UTP, UDE) {
    U.PU.WE._tpNewWindow(UTP, UTP == "disk" ? U.MS.SerializeJsonToStr(UDE) : UDE);
}

//关闭
U.PU.UAct = function (act) {
    U.M.StopBubble(true);
    try {
        if (act == "close") { U.PU.WE.fgClose(); }
        else if (act == "move") { U.PU.WE._P_move(); }
    }
    catch (e) { return; }
}

window.onerror = function () { return true; }